%define name canna-conf
%define version 0.02
%define release b2

Name:		%{name}
Summary:	Canna Config File
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		System Environment/Base
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}

Requires:	kinput2-canna

BuildArchitectures: noarch


%description
This is a Canna Config File. Change key bind like windows.


##
## Setup Section
##

%prep
%setup -q


##
## Build Section
##

%build


##
## Install Section
##

%install
#mkdir -p %{buildroot}/var/lib/canna/dic
#install -m 644 cannahost %{buildroot}/var/lib/canna
#install -m 644 default.canna %{buildroot}/var/lib/canna
#install -m 644 default.cbp %{buildroot}/var/lib/canna/dic

mkdir -p %{buildroot}/etc/canna
install -m 644 cannahost %{buildroot}/etc/canna
install -m 644 default.canna %{buildroot}/etc/canna

mkdir -p %{buildroot}/usr/share/canna
install -m 644 default.cbp %{buildroot}/usr/share/canna


##
## Clean Section
##

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


##
## Files Section
##

%files
%defattr (-,root,root)
#/var/lib/canna/cannahost
#/var/lib/canna/default.canna
#/var/lib/canna/dic/default.cbp
/etc/canna/cannahost
/etc/canna/default.canna
/usr/share/canna/default.cbp


##
## change log
##

%changelog
* Sat Aug 16 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Change the directories
* Sun Jul 13 2003 Yuichiro Nakada <berry@po.yui.mine.nu>
- Create for Berry Linux
